#!/afs/msc.cornell.edu/i386_linux22/usr/local/pub/dm/bin/python

import sys
import os


class EnergyObserver:

    def __init__(self, directory):
        self.directory = directory
        os.system("mkdir " + self.directory)


    def Update(self, framenumber, mdobj=None):
        mdobj.ioControl.Print(3,"Writing frame " + str(framenumber) + " to ASCII file")
        nAtoms = mdobj.atoms.GetNumber()
        positions = mdobj.atoms.GetCartesianPositions()[:]
        asciiFile = open(self.directory + "/energydata" + str(framenumber) + ".dat", "w")
        for atIdx in xrange(nAtoms):
            line = ""
            for coord in xrange(len(positions[atIdx])):
                line = line + str(positions[atIdx][coord]) + "   "
            line = line + str(mdobj.potential.CalculateAtomicEnergy(mdobj.atoms,atIdx))
            line = line + "\n"
            asciiFile.write(line)

