#!/afs/msc.cornell.edu/i386_linux22/usr/local/pub/dm/bin/python

import sys
import os

class ForceObserver:

    def __init__(self, directory):
        self.directory = directory
        os.system("mkdir " + self.directory)


    def Update(self, framenumber, mdobj=None):
        mdobj.ioControl.Print(3,"Writing frame " + str(framenumber) + " to ASCII file")
        nAtoms = mdobj.atoms.GetNumber()
        positions = mdobj.atoms.GetCartesianPositions()[:]
        forcesDMArray = mdobj.atoms.GetCartesianPositions().ConstructFromArray(mdobj.atoms.GetCartesianPositions())
        print "calculating forces in observer"
        mdobj.potential.CalculateForces(mdobj.atoms,forcesDMArray)
        forces = forcesDMArray[:]
        asciiFile = open(self.directory + "/forcedata" + str(framenumber) + ".dat", "w")
        for atIdx in xrange(nAtoms):
            line = ""
            for coord in xrange(len(positions[atIdx])):
                line = line + str(positions[atIdx][coord]) + "   "
            for coord in xrange(len(forces[atIdx])):
                line = line + str(forces[atIdx][coord]) + "   "
            line = line + "\n"
            asciiFile.write(line)

